### A free/open-source library for quantitative finance

Public Member Functions | Protected Member Functions | Protected Attributes
StrikedTypePayoff Class Reference

Intermediate class for payoffs based on a fixed strike. More...

`#include <ql/instruments/payoffs.hpp>`

Inheritance diagram for StrikedTypePayoff:
[legend]

List of all members.

## Public Member Functions

Real | strike () const
Payoff interface
std::string | description () const

## Protected Member Functions

| StrikedTypePayoff (Option::Type type, Real strike)

## Protected Attributes

Real | strike_

## Detailed Description

Intermediate class for payoffs based on a fixed strike.